#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		apivers		3.0
%define		sname		gtkmm
#-----------------------------------------------------------------------------
Name		:	gtkmm30
Version		:	3.24.7
Release		:	14.4.0.0%{?dist}
Summary		:	To provides a C++ interface to GTK3r+. 
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/gtkmm

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	pkgconfig(atkmm-1.6)
BuildRequires	:	cairomm-devel
BuildRequires	:	m4
BuildRequires	:	mm-common
BuildRequires	:	pangomm
BuildRequires	:	doxygen
BuildRequires	:	gtk3+
BuildRequires	:	graphviz

#-----------------------------------------------------------------------------
%description
The Gtkmm package provides a C++ interface to GTK+ 3.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/lib%{sname}-%{apivers}.so.1*
%{_libdir}/libgdkmm-%{apivers}.so.1*

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that use %{name}.
	
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{sname}-%{apivers}/%{sname}.h
%{_includedir}/%{sname}-%{apivers}/%{sname}/*.h
%{_includedir}/%{sname}-%{apivers}/%{sname}/private/*.h
%{_includedir}/gdkmm-%{apivers}/gdkmm.h
%{_includedir}/gdkmm-%{apivers}/gdkmm/*.h
%{_includedir}/gdkmm-%{apivers}/gdkmm/private/*.h
%{_libdir}/%{sname}-%{apivers}/include/%{sname}config.h
%{_libdir}/%{sname}-%{apivers}/proc/m4/*.m4
%{_libdir}/gdkmm-%{apivers}/include/gdkmmconfig.h
%{_libdir}/lib%{sname}-%{apivers}.so
%{_libdir}/libgdkmm-%{apivers}.so
%{_libdir}/pkgconfig/%{sname}-%{apivers}.pc
%{_libdir}/pkgconfig/gdkmm-%{apivers}.pc
	
#=============================================================================
%package		doc

Summary		:	API documentation for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}	= %{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
This package contains the full API documentation for %{name}.
	
#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%doc %{_docdir}/gtkmm-%{apivers}/
%doc %{_datadir}/devhelp/
%doc _docs/*

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}
# Copy demos before build to avoid including built binaries in doc package
mkdir -p _docs
cp -a demos/ _docs/

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	--wrap-mode=nodownload				\
	--buildtype=release				\
	-D build-documentation=true			\
	_bld

ninja							\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
        ninja						\
        -C _bld						\
        install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
